<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.cms.mapper.SubwayStationMapper">
    
    <resultMap type="SubwayStation" id="SubwayStationResult">
        <result property="stationId"    column="station_id"    />
        <result property="stationName"    column="station_name"    />
        <result property="lineName"    column="line_name"    />
        <result property="lineId"    column="line_id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
        <result property="latitude"    column="latitude"    />
        <result property="longitude"    column="longitude"    />
        <result property="stationOrder"    column="station_order"    />
        <result property="address"    column="address"    />
    </resultMap>

    <sql id="selectSubwayStationVo">
        select station_id, station_name, line_name, line_id, del_flag, create_by, create_time, update_by, update_time, remark, latitude, longitude,station_order,address from subway_station
    </sql>

    <select id="selectSubwayStationList" parameterType="SubwayStation" resultMap="SubwayStationResult">
        <include refid="selectSubwayStationVo"/>
        <where>  del_flag = '0'
            <if test="stationName != null  and stationName != ''"> and station_name like concat('%', #{stationName}, '%')</if>
            <if test="address != null  and address != ''"> and address like concat('%', #{address}, '%')</if>
            <if test="lineName != null "> and line_name like concat('%', #{lineName}, '%')</if>
            <if test="lineId != null "> and line_id = #{lineId}</if>
            <if test="latitude != null "> and latitude = #{latitude}</if>
            <if test="longitude != null "> and longitude = #{longitude}</if>
        </where>
    </select>
</mapper>